Skip to main content
All docs

Hockey API reference

Every hockey endpoint of the KeepTheScore API, with its parameters, request body and responses, generated from the live API.

Keys, tokens, request bodies and rate limits are explained in the API guide. In the paths below, {token} is a board token when you send an API key, or one of the board's own tokens without one.

This page is generated from the live API. The same reference is available as OpenAPI 3 at /apispec.json, if you'd rather generate a client than read tables.

Hockey

POST /api/v1/sport/{token}/hockey/away/empty_net/toggle

Toggle away team empty net for hockey.

Path parameters

NameTypeRequiredDescription
token string yes

Responses

StatusMeaningBody
200 OK MessageResponse
400 Malformed request —
403 This token does not allow the board to be edited —
404 Board not found —
429 Too many requests —
500 Internal server error —

Response body (200) — MessageResponse (JSON)

FieldTypeAlways presentDescription
message string yes Status message
POST /api/v1/sport/{token}/hockey/away/penalty/add

Add a penalty for away team in hockey.

Body: {duration: seconds (default 120), number: player number (default "")}

Path parameters

NameTypeRequiredDescription
token string yes

Responses

StatusMeaningBody
204 No Content —
400 Malformed request —
403 This token does not allow the board to be edited —
404 Board not found —
429 Too many requests —
500 Internal server error —
POST /api/v1/sport/{token}/hockey/away/penalty/clear

Clear the oldest penalty for away team in hockey.

Path parameters

NameTypeRequiredDescription
token string yes

Responses

StatusMeaningBody
204 No Content —
400 Malformed request —
403 This token does not allow the board to be edited —
404 Board not found —
429 Too many requests —
500 Internal server error —
POST /api/v1/sport/{token}/hockey/away/score/increment

Increment away team score for hockey.

Path parameters

NameTypeRequiredDescription
token string yes

Responses

StatusMeaningBody
200 OK MessageResponse
400 Malformed request —
403 This token does not allow the board to be edited —
404 Board not found —
429 Too many requests —
500 Internal server error —

Response body (200) — MessageResponse (JSON)

FieldTypeAlways presentDescription
message string yes Status message
POST /api/v1/sport/{token}/hockey/away/shots/increment

Increment away team shots for hockey.

Path parameters

NameTypeRequiredDescription
token string yes

Responses

StatusMeaningBody
200 OK MessageResponse
400 Malformed request —
403 This token does not allow the board to be edited —
404 Board not found —
429 Too many requests —
500 Internal server error —

Response body (200) — MessageResponse (JSON)

FieldTypeAlways presentDescription
message string yes Status message
POST /api/v1/sport/{token}/hockey/away/shots_on_goal/increment

Increment away team shots on goal for hockey.

Path parameters

NameTypeRequiredDescription
token string yes

Responses

StatusMeaningBody
200 OK MessageResponse
400 Malformed request —
403 This token does not allow the board to be edited —
404 Board not found —
429 Too many requests —
500 Internal server error —

Response body (200) — MessageResponse (JSON)

FieldTypeAlways presentDescription
message string yes Status message
POST /api/v1/sport/{token}/hockey/away/timeout/toggle

Toggle away team timeout for hockey.

Path parameters

NameTypeRequiredDescription
token string yes

Responses

StatusMeaningBody
200 OK MessageResponse
400 Malformed request —
403 This token does not allow the board to be edited —
404 Board not found —
429 Too many requests —
500 Internal server error —

Response body (200) — MessageResponse (JSON)

FieldTypeAlways presentDescription
message string yes Status message
POST /api/v1/sport/{token}/hockey/final/toggle

Toggle game final status for hockey.

Path parameters

NameTypeRequiredDescription
token string yes

Responses

StatusMeaningBody
200 OK MessageResponse
400 Malformed request —
403 This token does not allow the board to be edited —
404 Board not found —
429 Too many requests —
500 Internal server error —

Response body (200) — MessageResponse (JSON)

FieldTypeAlways presentDescription
message string yes Status message
POST /api/v1/sport/{token}/hockey/home/empty_net/toggle

Toggle home team empty net for hockey.

Path parameters

NameTypeRequiredDescription
token string yes

Responses

StatusMeaningBody
200 OK MessageResponse
400 Malformed request —
403 This token does not allow the board to be edited —
404 Board not found —
429 Too many requests —
500 Internal server error —

Response body (200) — MessageResponse (JSON)

FieldTypeAlways presentDescription
message string yes Status message
POST /api/v1/sport/{token}/hockey/home/penalty/add

Add a penalty for home team in hockey.

Body: {duration: seconds (default 120), number: player number (default "")}

Path parameters

NameTypeRequiredDescription
token string yes

Responses

StatusMeaningBody
204 No Content —
400 Malformed request —
403 This token does not allow the board to be edited —
404 Board not found —
429 Too many requests —
500 Internal server error —
POST /api/v1/sport/{token}/hockey/home/penalty/clear

Clear the oldest penalty for home team in hockey.

Path parameters

NameTypeRequiredDescription
token string yes

Responses

StatusMeaningBody
204 No Content —
400 Malformed request —
403 This token does not allow the board to be edited —
404 Board not found —
429 Too many requests —
500 Internal server error —
POST /api/v1/sport/{token}/hockey/home/score/increment

Increment home team score for hockey.

Path parameters

NameTypeRequiredDescription
token string yes

Responses

StatusMeaningBody
200 OK MessageResponse
400 Malformed request —
403 This token does not allow the board to be edited —
404 Board not found —
429 Too many requests —
500 Internal server error —

Response body (200) — MessageResponse (JSON)

FieldTypeAlways presentDescription
message string yes Status message
POST /api/v1/sport/{token}/hockey/home/shots/increment

Increment home team shots for hockey.

Path parameters

NameTypeRequiredDescription
token string yes

Responses

StatusMeaningBody
200 OK MessageResponse
400 Malformed request —
403 This token does not allow the board to be edited —
404 Board not found —
429 Too many requests —
500 Internal server error —

Response body (200) — MessageResponse (JSON)

FieldTypeAlways presentDescription
message string yes Status message
POST /api/v1/sport/{token}/hockey/home/shots_on_goal/increment

Increment home team shots on goal for hockey.

Path parameters

NameTypeRequiredDescription
token string yes

Responses

StatusMeaningBody
200 OK MessageResponse
400 Malformed request —
403 This token does not allow the board to be edited —
404 Board not found —
429 Too many requests —
500 Internal server error —

Response body (200) — MessageResponse (JSON)

FieldTypeAlways presentDescription
message string yes Status message
POST /api/v1/sport/{token}/hockey/home/timeout/toggle

Toggle home team timeout for hockey.

Path parameters

NameTypeRequiredDescription
token string yes

Responses

StatusMeaningBody
200 OK MessageResponse
400 Malformed request —
403 This token does not allow the board to be edited —
404 Board not found —
429 Too many requests —
500 Internal server error —

Response body (200) — MessageResponse (JSON)

FieldTypeAlways presentDescription
message string yes Status message
POST /api/v1/sport/{token}/hockey/period/increment

Increment period for hockey.

Path parameters

NameTypeRequiredDescription
token string yes

Responses

StatusMeaningBody
200 OK MessageResponse
400 Malformed request —
403 This token does not allow the board to be edited —
404 Board not found —
429 Too many requests —
500 Internal server error —

Response body (200) — MessageResponse (JSON)

FieldTypeAlways presentDescription
message string yes Status message
POST /api/v1/sport/{token}/hockey/reset

Reset all game state to initial values for a new hockey game.

Path parameters

NameTypeRequiredDescription
token string yes

Responses

StatusMeaningBody
200 OK MessageResponse
400 Malformed request —
403 This token does not allow the board to be edited —
404 Board not found —
429 Too many requests —
500 Internal server error —

Response body (200) — MessageResponse (JSON)

FieldTypeAlways presentDescription
message string yes Status message